* * *

면허: 아파치 소프트웨어 재단 (ASF)에 하나 이상의 참가자 사용권 계약 하에서 허가 된. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
    

* * *

# 개요

아파치 코르도바는 오픈 소스 모바일 개발 프레임 워크입니다. 각 모바일 플랫폼의 네이티브 개발 언어를 피하고 크로스 플랫폼 개발을 위한 HTML5, CSS3, 자바 스크립트 등 표준 웹 기술을 사용할 수 있습니다. 응용 프로그램 각 플랫폼을 타겟으로 래퍼 내에서 실행 하 고 표준 API 바인딩을 액세스할 각 장치 센서, 데이터 및 네트워크 상태에 의존.

아파치 코르도바 최상위 프로젝트 아파치 소프트웨어 재단 (ASF) 내에서 2012 년 10 월에에서 졸업 했다. ASF를 통해 미래의 코르도바 개발 프로젝트의 열려 지기를 지킬 것 이다. 그것은 항상 무료 및 오픈 소스 아파치 라이센스 버전 2.0 아래 유지 됩니다. 자세한 내용은 [cordova.apache.org][1] 를 방문 하십시오.

 [1]: http://cordova.apache.org

만약 당신이 아파치 코르도바를 사용:

*   모바일 개발자 및 다시 각 플랫폼의 언어와 도구를 구현 하지 않고 하나 이상의 플랫폼에서 응용 프로그램을 확장 하려면 원하는 설정 합니다.

*   웹 애플 리 케이 션은 다양 한 애플 리 케이 션에 배포 패키지를 배포 하 고 웹 개발자 포털을 저장 합니다.

*   모바일 개발자는 *WebView* (특별 한 브라우저 창) 장치 레벨 Api에 액세스할 수 있는 기본 응용 프로그램 구성 요소를 혼합에 관심된 또는 네이티브 및 WebView 구성 요소 간의 인터페이스를 플러그인을 개발 하려는 경우.

## 기본 구성 요소

일반적인 의존 아파치 코르도바 응용 프로그램 `config.xml` 파일을 응용 프로그램에 대 한 정보를 제공 하 고에 영향을 미치는 어떻게 작동 하는지, 교대 방향 응답 여부와 같은 매개 변수를 지정 합니다. 이 파일 사양을 준수 하는 W3C의 [웹 응용 프로그램 패키지][2], 또는 *위젯*.

 [2]: http://www.w3.org/TR/widgets/

응용 프로그램 자체는 *index.html*, 어떤 CSS, 자바 스크립트, 이미지, 미디어 파일 또는 기타 리소스를 참조 하 라는 로컬 파일은 실행을 위해 필요한 기본적으로 웹 페이지로 구현 됩니다. App는 app 상점에 배 부하는 네이티브 응용 프로그램 래퍼 내에서 *WebView* 로 실행 합니다.

코르 도우 바 활성화 WebView의 전체 사용자 인터페이스와 응용 프로그램을 제공할 수 있습니다. 일부 플랫폼 또한 WebView 네이티브 응용 프로그램 구성 요소와 혼합, 하이브리드 응용 프로그램 내에서 구성 요소 수 있습니다. (자세한 내용은 포함 WebViews를 참조 하십시오.)

*플러그인* 인터페이스는 코르도바와 네이티브 구성 요소가 서로 통신할 수 있습니다. 이렇게 하면 자바 스크립트에서 네이티브 코드를 호출할 수 있습니다. 이상적으로, 네이티브 코드를 자바 스크립트 Api는 여러 장치 플랫폼에서 일관 된. 버전 3.0, 플러그인 표준 디바이스 Api에 대 한 바인딩을 제공합니다. 제 3 자 플러그인 모든 플랫폼에서 반드시 사용할 수 있는 기능에 대 한 추가 바인딩을 제공합니다. [플러그인 레지스트리][3] 이러한 제 3 자 플러그인을 찾을 수 있으며 응용 프로그램에서 사용할 수 있습니다. 또한 플러그인 개발 가이드에 설명 된 대로 자신의 플러그인을 개발할 수 있습니다. 플러그인 필요, 예를 들어, 코르도바와 사용자 지정 네이티브 구성 요소 간의 통신에 있을 수 있습니다.

 [3]: http://plugins.cordova.io

**참고**: 버전 3.0, 코르도바 프로젝트 어떤 플러그인 현재 있지 않습니다. 이 새로운 기본 동작입니다. 심지어 코어 플러그인, 당신이 원하는 어떤 플러그인을 명시적으로 추가 되어야 합니다.

코르 도우 바는 어떤 UI 위젯이 나 뮤직 비디오 * 프레임 워크를 제공 하지 않습니다. 코르 도우 바 들을 실행할 수 있는 런타임을을 제공 합니다. UI 위젯 및/또는 뮤직 비디오 * 프레임 워크를 사용 하려는 경우 당신이 그들을 선택 하 고 포함 응용 프로그램에서 직접 제 자료로 해야 합니다.

## 개발 경로

버전 3.0, 두 기본 워크플로 사용 하 여 모바일 애플 리 케이 션을 만들 수 있습니다. 자주 하거나 워크플로 사용 하 여 동일한 작업을 수행 하 수, 하는 동안 그들은 각 이점을 제공:

*   **크로스-플랫폼 (CLI) 워크플로**:이 워크플로 가능한 많은 다른 모바일 운영 체제에서 실행 되도록 응용 프로그램을 원한다 면 약간 필요 플랫폼 개발에 대 한 사용. 이 워크플로 중심에서 `cordova` 유틸리티, *CLI*, 코르도바 3.0 도입 된 코르도바 라고도 합니다. CLI는 멀리 많은 저수준 쉘 스크립트의 기능을 추상화 한 번에 많은 플랫폼에 대 한 프로젝트를 빌드할 수 있습니다 높은 수준의 도구입니다. CLI 웹 자산에 대 한 공통 된 각 모바일 플랫폼에 대 한 하위 디렉터리에 복사, 필요한 구성 변경 내용을 각, 응용 프로그램 이진 파일을 생성 하는 빌드 스크립트를 실행 합니다. CLI는 또한 당신의 애플 리 케이 션에 플러그인을 적용할 공통 인터페이스를 제공 합니다. 에 대 한 자세한 내용은 CLI, 명령줄 인터페이스를 참조 하십시오. 플랫폼 중심 워크플로 필요 없다면, 플랫폼 간 워크플로 권장 됩니다.

*   **플랫폼 중심 워크플로**: 단일 플랫폼을 위한 애플 리 케이 션을 구축에 집중 하 고 낮은 수준에서 그것을 수정할 수 있어야 하려면이 워크플로 사용 합니다. 예를 들어이 방법을 사용 하면 해야 포함 WebViews에 설명 된 대로 웹 기반 코르도바 구성 요소와 사용자 지정 기본 구성 요소를 혼합 하 여 애플 리 케이 션을 원하는. 엄지손가락의 규칙으로 SDK 내의 프로젝트를 수정 해야 할 경우이 워크플로 사용 합니다. 이 워크플로 각 지원 되는 플랫폼, 그리고 플러그인을 적용할 수 있습니다 별도 Plugman 유틸리티에 대 한 맞춤형 저수준 쉘 스크립트의 집합에 의존 합니다. 이 워크플로 사용 하 여 크로스 플랫폼 애플 리 케이 션을 구축할 수 있습니다, 하는 동안 어렵습니다 일반적으로 더 높은 수준의 도구의 부족 의미 별도 빌드 주기 및 각 플랫폼에 대 한 플러그인 수정 하기 때문에. 아직도,이 워크플로 각 SDK에서 제공 하는 개발 옵션에 대 한 더 큰 액세스를 허용 하 고 복잡 한 하이브리드 애플리케이션에 필수적 이다. 각 플랫폼의 사용 가능한 셸 유틸리티에 대 한 자세한 내용은 다양 한 플랫폼 가이드를 참조 하십시오.

처음을 시작 하면, 그것은 명령줄 인터페이스에 설명 된 대로 응용 프로그램을 만드는 교차 플랫폼 워크플로우를 사용 하는 가장 쉬운 수 있습니다. 당신은 다음 SDK 제공 한다 더 중대 한 통제를 필요로 하는 경우 플랫폼 중심 워크플로 전환 옵션이 있습니다. 저수준 셸 유틸리티 CLI 보다는 별도 분포에서 [cordova.apache.org][1] 에서 사용할 수 있습니다. 처음에 CLI에서 생성 된 프로젝트에 대 한 이러한 셸 도구에서 사용할 수 있습니다 프로젝트의 다양 한 `platforms/*/cordova` 디렉터리.

**참고**: 플랫폼 Sdk 및 셸 도구를 중심으로 한 CLI 기반 워크플로 전환 되 면 당신은 돌아갈 수 없다. CLI 각각에 빌드 플랫폼 관련 소스 코드를 작성 하기 위해 사용 하는 크로스 플랫폼 소스 코드의 공통 집합을 유지 관리 합니다. 플랫폼 특정 자산에 수정한 보존, 크로스-플랫폼 소스 코드 무시, 플랫폼 중심으로 셸 도구 전환 해야 당신과 플랫폼 관련 소스 코드에 의존 하는 대신.

## 코르 도우 바 설치

코르 도우 바 설치 워크플로 위의 선택에 따라 다를 것 이다:

*   교차 플랫폼 워크플로우: 명령줄 인터페이스를 참조 하십시오.

*   플랫폼 중심 워크플로: 플랫폼 가이드를 참조 하십시오.

코르도바를 설치한 후 모바일 플랫폼을 위해 개발 될 것입니다 플랫폼 가이드를 검토 하는 것이 좋습니다. 또한 개인 정보 보호 가이드, 보안 가이드, 그리고 다음 단계를 검토 하는 것이 좋습니다. 코르 도우 바 구성 config.xml 파일 참조. 자바 스크립트에서 장치에 네이티브 함수에 액세스, 플러그인 Api를 참조 하십시오. 그리고 필요에 따라 다른 포함 된 가이드를 참조 하십시오.