* * *

Лицензия: лицензируются для Apache Software Foundation (ASF) одного или нескольких корреспондентов лицензионных соглашений. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

## under the License.

# Инструкция по доступу к внешним ресурсам

Список разрешенных доменов это модель безопасности, которая контролирует доступ во внешние домены, к которому ваше приложение не имеет доступа. Политика безопасности по умолчанию для Cordova позволяет получить доступ к любому сайту. Прежде чем переносить приложение для рабочую среду, следует сформулировать список разрешений и разрешить доступ к определенным сетевым доменам и поддоменам.

Cordova следует спецификации [W3C Доступ виджета][1], которая опирается на элемент `<access>` в файле `config.xml` приложения, чтобы включить сетевой доступ к отдельным доменам. Для проектов которые погалаются на процесс с использованием командной строки, описанный в разделе "Интерфейс командной строки", этот файл расположен в корневой папке проекта. В противном случае при использовании пути разработки с использованием платформо-ориентированного кода, места расположения указаны в разделах ниже. (См. различные руководства платформ для получения дополнительной информации на каждой платформе.)

 [1]: http://www.w3.org/TR/widgets-access/

В следующих примерах демонстрируется синтаксис белый список:

*   Доступ к [google.com][2]:
    
        <access origin="http://google.com" />
        

*   Доступ по защищенному протоколу к [google.com][3] (`https://`):
    
        <access origin="https://google.com" />
        

*   Доступ к поддомену [maps.google.com][4]:
    
        <access origin="http://maps.google.com" />
        

*   Доступ для всех поддоменов для домена [google.com][2], например, [mail.google.com][5] и [docs.google.com][6]:
    
        <access origin="http://*.google.com" />
        

*   Доступ ко *всем* доменам, например, [google.com][2] и [developer.mozilla.org][7]:
    
        <access origin="*" />
        
    
    Это значение по умолчанию для вновь созданных проектов CLI.

 [2]: http://google.com
 [3]: https://google.com
 [4]: http://maps.google.com
 [5]: http://mail.google.com
 [6]: http://docs.google.com
 [7]: http://developer.mozilla.org

## Список разрешений Amazon Fire OS

Список разрешений расположен в`res/xml/config.xml`.

## Список разрешений Android

Платформа специфического whitelisting правила находятся в`res/xml/config.xml`.

**Замечание**: Для Android 2.3 или ранее, список разрешения работает только для ссылок `href`, а не для добавленных ресурсов, таких как изображения и скрипты. Принимайте шаги, чтобы исключить добавление скриптов в приложение.

**Примечание**: для того, чтобы предотвратить внешние URL-адреса, такие как `mailto:` от открытия в Cordova webview по состоянию на Cordova 3.6.0, указав `origin="*"` будет запрещена добавить правила для протоколов http и https. Если вам требуется доступ к дополнительные пользовательские протоколы, то вам следует также добавить их явным образом в белый список. Также смотрите «Внешние приложение Whitelist» ниже для получения дополнительной информации на запуск внешних приложений по URL-адресу.

**ПРИМЕЧАНИЕ**: Некоторые сетевые запросы не проходят через Cordova Whitelist. Это включает в себя <video> и <audio> Resouces, подключения WebSocket (на Android 4.4 +) и, возможно, других не http-запросов. На андроид 4.4 +, вы можете включить [CSP][8] заголовка в HTML-документы для ограничения доступа к этим ресурсам. На более старых версиях Android ограничить их не возможно.

 [8]: https://developer.mozilla.org/en-US/docs/Web/Security/CSP/Introducing_Content_Security_Policy

### Внешнее приложение Whitelist

Кордова 3.6.0 вводит второй белый, для ограничения которого URL-адресов для запуска внешних приложений. В предыдущих версиях Cordova, всех не http URL-адресов, таких как `mailto:` , `geo:` , `sms:` и `intent` , неявно разрешалось быть объектом <a>тег.</a> Из-за возможности приложения к утечке информации если XSS уязвимость позволяет злоумышленнику для построения произвольных связей, эти URL-адреса должны быть whitelisted, начиная в Кордове 3.6.0.

Чтобы шаблон URL-адреса для запуска внешнего приложения, используйте <access> тег в ваш `config.xml` файл, с `launch-external` набор атрибутов.

Примеры:

*   Чтобы разрешить ссылки для отправки SMS-сообщений:
    
    <access origin="sms:*" launch-external="yes" />

*   Чтобы разрешить ссылки для открытия карты:
    
    <access origin="geo:*" launch-external="yes" />

*   Чтобы разрешить ссылки на example.com для открытия во внешнем браузере:
    
    <access origin="http://example.com/*" launch-external="yes" />

*   Чтобы разрешить все веб-сайты не whitelisted открыть во внешнем браузере: (это так же, как предыдущее поведение для URL-адресов не белый)
    
    <access origin="http://*" launch-external="yes" /> <access origin="https://*" launch-external="yes" />

*   Чтобы разрешить доступ ко всем URL, возврат к политике Cordova 3.5.0 (не рекомендуется):
    
    <access origin="*" launch-external="yes" />

При переходе к URL из вашего приложения, сначала проверяется interal whitelist, и если URL-адрес не является whitelisted там, затем проверяется внешний белый. Это означает, что любой `http:` или `https:` URL-адреса, которые соответствуют как белые будет открыт внутри Cordova-приложение, вместо того, чтобы запуск внешнего браузера.

## iOS Whitelisting

Правила whitelisting платформы находятся в каталоге именованного приложения `config.xml` файл.

Происхождение указан без протокола, такие как `www.apache.org` вместо `http://www.apache.org` , по умолчанию ко всем `http` , `https` , `ftp` , и `ftps` схемы.

Подстановочные знаки на платформе iOS являются более гибкими, чем в спецификации [W3C виджета доступ][1] . Например, следующее обращается к все дочерние домены и домены верхнего уровня таких как `.com` и `.net` :

        < доступ происхождения =» *.google. * "/ >
    

В отличие от платформы Android, отмечалось выше, переход к не whitelisted доменов через `href` Гиперссылка на iOS запрещает странице открывать на всех.

## Белый blackBerry 10

Whitelisting правила находятся в`www/config.xml`.

BlackBerry 10 Использование подстановочных знаков отличается от других платформ двумя способами:

*   Любой контент, доступ к `XMLHttpRequest` должны быть объявлены явным образом. Установка `origin="*"` в этом случае не работает. Кроме того, все веб-безопасности можно отключить с помощью `WebSecurity` предпочтение, описанных в конфигурации ежевики:
    
        < предпочтение имя = значение «websecurity» = «отключить» / >
        

*   Как альтернатива параметру `*.domain` , установить дополнительный `subdomains` приписывают `true` . Он должен быть задан `false` по умолчанию. Например, следующее позволяет получить доступ к `google.com` , `maps.google.com` , и `docs.google.com` :
    
        < доступ происхождения = «http://google.com» поддомены = «true» / >
        
    
    Следующие сужается доступ к `google.com` :
    
        < доступ происхождения = «http://google.com» поддомены = «false» / >
        
    
    Укажите доступ ко всем доменам, в том числе местных `file://` протокол:
    
    <access origin="*" subdomains="true" />

(Дополнительные сведения о поддержке, см BlackBerry в документации [элемента доступа][9].)

 [9]: https://developer.blackberry.com/html5/documentation/ww_developing/Access_element_834677_11.html

## iOS изменения в 3.1.0

До версии 3.1.0 Кордова iOS включены некоторые нестандартные расширения домена whilelisting схемы, поддерживаемые другими платформами Кордова. По состоянию на 3.1.0 белый iOS теперь соответствует ресурсов whitelist синтаксис, описанный в верхней части этого документа. Если вы модернизируете от pre-3.1.0, и вы были с помощью этих расширений, возможно, придется изменить `config.xml` файл для того, чтобы продолжить whitelisting тот же набор ресурсов, как раньше.

В частности эти модели должны быть обновлены:

*   « `apache.org` » (без протокола): это значение будет совпадать с ранее `http` , `https` , `ftp` , и `ftps` протоколы. Изменить на « `*://apache.org/*` » чтобы включить все протоколы, или включить строку для каждого протокола, необходимо поддерживать.

*   « `http://apache.*` » (подстановочный знак в конце домена): это будет ранее матч все верхнего-уровня-домены, включая все возможные ДВУ двух букв (но не полезно домены как. co.uk). Включить строку для каждого TLD, который вы фактически контролировать и нуждаются в белый список.

*   « `h*t*://ap*he.o*g` » (подстановочные знаки для случайных недостающие буквы): они больше не поддерживаются; изменения будет включать строку для каждого домена и протоколу что вы на самом деле нужно whitelist.

## Windows Phone Whitelisting

Белый список правил для Windows Phone 8 находятся в app `config.xml` файл.

## Tizen Whitelisting

Whitelisting правила находятся в app `config.xml` файл. Платформа опирается на том же `subdomains` атрибут как платформы BlackBerry. (Дополнительные сведения о поддержке, см Tizen в документации [элемента доступа][10].)

 [10]: https://developer.tizen.org/help/index.jsp?topic=%2Forg.tizen.web.appprogramming%2Fhtml%2Fide_sdk_tools%2Fconfig_editor_w3celements.htm