* * *

Лицензия: лицензируются для Apache Software Foundation (ASF) одного или нескольких корреспондентов лицензионных соглашений. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

## under the License.

# Руководство по инструментам командной строки BlackBerry 10

Утилита командной строки `cordova` является инструментом высокого уровня, который позволяет вам создавать приложения сразу на нескольких платформах. Более старые версии фреймворка Cordova предоставляли наборы средств командной строки для каждой платформы. Чтобы использовать их в качестве альтернативы для CLI, вам нужно скачать эту версию Cordova с [cordova.apache.org][1]. Загружаемый файл содержит отдельные архивы для каждой платформы. Распакуйте платформу, для которой вы хотите разрабатывать. Инструменты, описанные здесь обычно доступны в каталоге верхнего уровня `bin`, в противном случае проконсультируйтесь с файлом **README** для получения более подробных указаний.

 [1]: http://cordova.apache.org

Сведения о низкоуровневом интерфейсе командной строки, который управляет плагинами смотрите в разделе "Использование Plugman для управления плагинами". Смотрите раздел "Расширения приложения" для подробной информации о том, как разрабатывать плагины.

Если вам нужна помощь по любой команды, перечисленной ниже, введите команду вместе с аргументами `-h` или `-help`, которые поддерживаются всеми командами и которые предоставляют описания для каждого из имеющихся аргументов.

## Создание приложения

Команда `create` создает новый проект:

        bin/create <path-to-project> <project-package> <project-name>
    

где

*   `<path-to-project>` Указывает каталог, где вы хотите чтобы проект был создан

*   `<project-package>` Указывает идентификатор в стиле обратного именования доменов

*   `<project-name>` Задает отображаемое имя приложения

**Примечание**: команда `create` загружает зависимости установки через команду `npm install`. В зависимости от разрешения системы и каталога установки может потребоваться права администратора. Если есть проблемы на OSX/Linux, запустите `sudo npm install` перед использованием команды `create`. На Windows, запустите `npm install` в командной строке, открытой с правами администратора.

## Задать целевое устройство

Команда `target` позволяет управлять эмулятором или устройствами BlackBerry, которые используются для тестирования приложения. Можно добавить или удалить целевое устройство или задать целевое устройство как цель для развертывания по умолчанию.

### Добавьте целевой объект

        <path-to-project>/cordova/target add <name> <ip-address> [-t | --type <device | simulator>] [-p | --password <password>] [--pin <device-pin>]
    

где

*   `<name>` Указывает уникальное имя для целевого устройства.

*   `<ip-address>` Указывает IP-адрес устройства BlackBerry или симулятора.

*   `-p | --password <password>` Указывает пароль для устройства или эмулятора. Это необходимо, только если устройство или эмулятор защищен паролем.

*   `--pin <device-pin>` Указывает PIN устройства BlackBerry, который идентифицирует устройство как допустимый хост для маркера отладки. Этот аргумент является обязательным только при создании маркера отладки.

### Удаление целевого устройства

        <path-to-project>/cordova/target remove <name>
    

### Задать целевое устройство по умолчанию

        <path-to-project>/cordova/target default <name>
    

## Построение приложения

Команда `build` строит проект как файл .bar. Вы можете создавать приложения в режиме релиза, (который создает подписанный .bar файл) или в режиме отладки (который создает неподписанный .bar файл).

### Построение приложения в режиме релиза

        <path-to-project>/cordova/build release [-k | --keystorepass <password>] [-b | --buildId <number>] [-p | --params <params-JSON-file>]
    

где

*   `-k | --keystorepass <password>` Указывает пароль, который вы определили, когда вы настроили ваш компьютер для подписи приложений.

*   `-b | --buildId <number>` Задает номер версии сборки приложения. Как правило это число должно увеличивается от предыдущей версии по мере создания новых подписанных версий. Этот аргумент является необязательным.

*   `-p | --params <params-JSON-file>` Определяет JSON файл, содержащий дополнительные параметры для передачи вызываемым инструменты. Этот аргумент является необязательным.

### ППостроение приложения в режиме отладки

        <path-to-project>/cordova/build debug [<target>] [-k | --keystorepass <password>] [-p | --params <params-JSON-file>]  [-ll | --loglevel <error|warn|verbose>]
    

где

*   `<target>` Указывает имя ранее добавленного целевого устройства. Если `<target>` не указан, используется устройство по умолчанию, если оно было задано. Этот аргумент необходим только если если вы хотите чтобы скрипт развернул приложение на устройстве BlackBerry, или эмуляторе и вы еще не создали целевое устройство по умолчанию. Кроме того если `<target>` – это устройство, то это устройство должно быть подключено к компьютеру через USB-соединение или должно быть подключено к той же сети Wi-Fi, что и ваш компьютер.

*   `-k | --keystorepass <password>` Указывает пароль, который вы определили, когда вы настроили ваш компьютер для подписи приложений. Этот пароль используется также для создания маркера отладки. Этот аргумент является требуется только если вы хотите чтобы скрипт создал и установил маркер отладки для вас.

*   `-p | --params <params-JSON-file>` Определяет JSON файл, содержащий дополнительные параметры передаваемые вызываемым инструментам.

*   `-ll | --loglevel <level>` Задает уровень ведения журнала. Уровень ведения журнала может быть одним из значений `error`, `warn`, или `verbose`.

Если вы ранее задали целевое устройство по умолчанию (и ранее установили маркер отладки, если эта цель является устройством BlackBerry), вы можете запустить сценарий без аргументов и скрипт создат пакет вашего прилоежния и развернет его на целевое устройство по умолчанию. Например:

        <path-to-project>/cordova/build debug
    

## Запуск приложения

Команда `run` развертывает последнее построение приложения на указанное устройство BlackBerry или эмулятор. Для развертывания приложения, необходимо задать целевое устройство:

        <path-to-project>/cordova/run <target>
    

...`<target>` Указывает имя ранее добавленного целевого устройства. Если `<target>` является устройством, то оно должен быть подключен к компьютеру через кабель USB, или же быть в той же сети Wi-Fi, что и ваш компьютер.

## Управление плагинами

Команда `target` позволяет добавлять и удалять плагины. Для выбора локально расположенного плагина:

        <path-to-project>/cordova/plugin fetch <path-to-plugin>
    

Просмотреть список установленных плагинов:

        <path-to-project>/cordova/plugin ls
    

Добавление плагина:

        <path-to-project>/cordova/plugin add <name>
    

Удаление плагина:

        <path-to-project>/cordova/plugin rm <name>