---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

   under the License.
---

# Обновление Windows Phone

В этом руководстве показано, как изменить Windows Phone проектов, обе версии 7 и 8, для обновления старых версий Cordova. Большинство этих инструкций применимы для проектов, созданных с старого набора средств командной строки, которые предшествуют `cordova` утилиты CLI. Увидеть интерфейс командной строки для получения информации как обновить версию инфраструктуры CLI. В следующем разделе показано, как перейти от проектов-CLI.

## Обновление до 3.2.0 с 3.1.0

Для проектов, которые были созданы с cordova CLI:

1.  Обновление `cordova` CLI-версия. Увидеть интерфейс командной строки.

2.  Запуск `cordova platform update wp8` (или `wp7` , на платформах, вы добавили в проект).

Для проектов, не создан с cordova CLI выполните:

        bin\update <project_path>
    

## Обновление до 3.1.0 с 3.0.0

Для проектов, которые были созданы с Кордова CLI:

1.  Обновление `cordova` CLI-версия. Увидеть интерфейс командной строки.

2.  Запуск `cordova platform update wp8` (или `wp7` , на платформах, вы добавили в проект).

Для проектов, не созданных с Кордова CLI выполните:

        bin\update <project_path>
    

## Обновление до CLI (3.0.0) с 2.9.0

1.  Создайте новый проект Apache Cordova 3.0.0 используя Cordova CLI, как описано в разделе "Интерфейс командной строки".

2.  Добавьте ваши платформы в проект Cordova, например: `cordova
platform add wp7 wp8`.

3.  Скопируйте содержимое каталога `www` в каталог `www` проекта Cordova который вы только что создали.

4.  Скопируйте или замените любые ресурсы платформы из вашего исходного проекта (`SplashScreen`, `ApplicationIcon`, и т.д.), удостовертесь что добавили все новые файлы в `.csproj` файл. Проект Windows Phone собирается внутри папок `platforms\wp7` или `platforms\wp8`.

5.  Используйте Сordova CLI для установки необходимых вам плагинов. Обратите внимание что CLI интерпретирует все базовые APIs как плагины, так что они тоже должны быть добавлены. Только плагины для версии 3.0.0 поддерживаются CLI.

6.  Построение и тестирование.

## Обновление до 3.0.0 (не CLI) с 2.9.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый проект Apache Cordova WP7 или WP8 3.0.0.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Скопируйте и перезаписать любой экран-заставку, или значок изображения.

4.  Скопируйте любые плагины от `plugins` каталог на новый проект и убедитесь, что они также добавляются в проект VS.

5.  Построение и тестирование.

**Примечание**: все основные API удаляются от Кордова версии 3.0 и должен быть установлен отдельно как плагины. Дополнительные сведения о том, как повторно включить эти функции в рабочем-CLI см с помощью Plugman для управления плагинами.

## Обновление до 2.9.0 с 2.8.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый Apache Cordova WP7 или WP8 2.9.0 проекта.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить имя `cordova.js` в теге HTML, если это по-прежнему используя cordova-VERSION.js (должно быть просто`cordova.js`).

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Скопируйте любые плагины от `plugins` каталог на новый проект и убедитесь, что они также добавляются в файл .csproj.

6.  Построение и тестирование.

## Обновление до 2.8.0 с 2.7.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый Apache Cordova WP7 или WP8 2.8.0 проекта.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova.js` файл. (Обратите внимание на отсутствие номер версии в имени файла.)

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.7.0 с 2.6.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый Apache Cordova WP7 или WP8 2.7.0 проекта.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.7.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.6.0 от 2.5.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый Apache Cordova WP7 или WP8 2.6.0 проекта.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.6.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.5.0 с 2.4.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый Apache Cordova WP7 или WP8 2.5.0 проекта.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.5.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.4.0 от 2.3.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый Apache Cordova WP7 или WP8 2.4.0 проекта.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.4.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.3.0 от 2.2.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый проект Apache Cordova 2.3.0 для WP7.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.3.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.2.0 из 2.1.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый проект Apache Cordova 2.2.0 для WP7.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.2.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.1.0 с 2.0.0

В окне Обозреватель решений Visual Studio:

1.  Создайте новый проект Apache Cordova 2.1.0 для WP7.

2.  Скопируйте содержимое вашего `www` каталога в новый проект и убедитесь, что эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.1.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или изображения значка.

5.  Копирование через любые плагины от `plugins` каталога в новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 2.0.0 от 1.9.0

Там были значительные изменения в структуре проекта WP7 в Apache Cordova 2.0.0, которые делают это обновления немного сложнее, другие. По существу это не обновления, но создание нового проекта и скопируйте из существующих исходных файлов.

В окне Обозреватель решений Visual Studio:

1.  Создайте новый проект Apache Cordova 2.0 для WP7.

2.  Скопируйте содержимое вашего `www` каталог в новый проект и будьте уверены, эти элементы добавляются в проект VS.

3.  Обновить ваш HTML, чтобы использовать новый `cordova-2.0.0.js` файл.

4.  Скопируйте и перезаписать любой экран-заставку, или значок изображения.

5.  Скопируйте любые плагины от `plugins` каталог на новый проект и убедитесь, что они также добавляются в проект VS.

6.  Построение и тестирование.

## Обновление до 1.9.0 от 1.8.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.9.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.9.0.js` файл.

## Обновление до 1.8.0 от 1.7.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.8.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.8.0.js` файл.

## Обновление до версии 1.7.0 от 1.6.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.7.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.7.0.js` файл.

## Обновление до 1.6.1 от 1.6.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.6.1.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.6.1.js` файл.

## Обновление до 1.6.0 от 1.5.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.6.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.6.0.js` файл.

## Обновление до 1.5.0 от 1.4.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.5.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.5.0.js` файл.

## Обновление до 1.4.0 от 1.3.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.4.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.4.0.js` файл.

## Обновление до 1.3.0 от 1.2.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.3.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.3.0.js` файл.

## Обновление до 1.2.0 от 1.1.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите к новое распределение и добавить `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.2.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.2.0.js` файл.

## Обновление до 1.1.0 с 1.0.0

В окне Обозреватель решений Visual Studio:

1.  Удалить `GapLib/WP7CordovaClassLib.dll` из вашего проекта.

2.  Удалите ссылку на `WP7CordovaClassLib` в каталоге **ссылок** .

3.  Щелкните правой кнопкой мыши **ссылки** и выберите **Добавить ссылку**.

4.  Перейдите на новый дистрибутив и добавьте `WP7CordovaClassLib.dll` файл.
    
    **Примечание**: вы можете просмотреть версию библиотеки DLL, щелкнув правой кнопкой мыши на ссылку и выбрав **свойства**.

5.  Скопируйте новый `cordova-1.1.0.js` в ваш проект. (Убедитесь, что он помечен как содержимого.)

6.  Обновить ваш HTML, чтобы использовать новый `cordova-1.1.0.js` файл.